'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/article/';
  router.get('/', controller.home.index);
  router.post('user', `${profix}login`, controller.user.login);
  // 微信认证，生成包含微信用户信息的token写入cookie
  router.get(`${profix}auth`, controller.weixin.auth);
  router.get(`${profix}authBack`, controller.weixin.authBack);
  router.get(`${profix}wxUser`, controller.weixin.wxUser);
  require('./router/refute')(app); // 文章/辟谣
  require('./router/topic')(app); // 社区话题
  require('./router/service')(app); // 咨询服务
};
