/* eslint valid-jsdoc: "off" */

'use strict';
const { jwt } = require('./config.secret');

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1616739379301_3896';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/article',
    options: {
      // user: 'admin',
      // pass: 'admin',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
    },
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 0,
    },
  };

  // 安全配置
  config.security = {
    csrf: {
      // ignoreJSON: true, // 默认为 false，当设置为 true 时，将会放过所有 content-type 为 `application/json` 的请求
      enable: false,
    },
  };

  // JWT config
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'article',
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 10010,
    },
  };
  config.wxapi = {
    appid: 'wxdf3ed83c095be97a', // 微信公众号APPID
    appSecret: 'd85dbe075c090cb12ce416bbda8e698c',
    baseUrl: 'http://wx.cc-lotus.info', // 微信网关地址
  };
  return {
    ...config,
    ...userConfig,
  };
};
